aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJames Turner <jturner@gemini.edu>2017-12-15 18:00:26 -0500
committerrtfuser <rtfuser@sbfrtf04.cl.gemini.edu>2017-12-15 18:05:36 -0500
commitf13da7e7b7a29e29ed94ab3ca2869b592136e4e6 (patch)
tree25ef71fb47842f2a8fd74bdc90e49dd4ff540c01
parentb169c130cb653ece2d3cec477f168dbef946e356 (diff)
downloadastroconda-iraf-f13da7e7b7a29e29ed94ab3ca2869b592136e4e6.tar.gz
Build old, working GSL 1.9 & link to it statically.
Require new STSDAS 3.18 with updated aXe Python files & update pkg version to 2.6 to match.
-rw-r--r--iraf.axe/build.sh41
-rw-r--r--iraf.axe/meta.yaml22
2 files changed, 42 insertions, 21 deletions
diff --git a/iraf.axe/build.sh b/iraf.axe/build.sh
index b1f9814..747ccc8 100644
--- a/iraf.axe/build.sh
+++ b/iraf.axe/build.sh
@@ -1,23 +1,42 @@
# Install aXe binaries into STSDAS in the same way as the Ureka pkg-install.
-
-cd ccc
+# This must be built on CentOS >=6, for compatibility with the cfitsio build.
# I'd have thought conda-build would take care of this but it appears not to:
export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:$PREFIX/lib"
export DYLD_LIBRARY_PATH="$DYLD_LIBRARY_PATH:$PREFIX/lib"
+set -e
+
+# Creating a dummy STSDAS directory as the install target avoids having IRAF
+# as a heavyweight build dependency when it's not needed (at the cost of this
+# script having to know the IRAF directory structure in the env, but that's
+# not likely to change):
+stdir=$PREFIX/iraf_extern/stsdas
+mkdir -p "$stdir/bin"
+
+echo "Build static GSL (old version needed by aXe)"
+
+cd gsl
+./configure --prefix="$PREFIX" --disable-shared --enable-static --build=x86
+make
+make install
+# here the GSL COPYRIGHT is covered by aXe's own GPL notice
+
+echo "Build aXe"
+
+cd ../aXe/ccc
./configure --prefix="$PREFIX" --with-cfitsio-prefix="$PREFIX" \
--with-wcstools-prefix="$PREFIX/lib" --build=x86 \
- --with-gsl-prefix="$PREFIX" || exit 1
+ --with-gsl-prefix="$PREFIX"
+make
-make || exit 1
-
-# Creating a dummy STSDAS directory avoids having IRAF as a heavyweight build
-# dependency when it's not needed (at the cost of this script having to know
-# the IRAF directory structure in the env, but that's not likely to change):
-stdir=$PREFIX/iraf_extern/stsdas
-mkdir -p "$stdir/bin" && cp -p bin/* "$stdir/bin/" || exit 1
+echo "Install aXe into STSDAS path"
+cp -p bin/* "$stdir/bin/"
# Install obligatory licensing information (best kept in pkg with binaries):
-cp -p "$RECIPE_DIR/copyright.aXe" "$stdir/" || exit 1
+cp -p "$RECIPE_DIR/copyright.aXe" "$stdir/"
+
+# Newer versions of the Python files in iraf/acesrc are also required, as of
+# 2017, but those have been updated in the STSDAS 3.18 source rather than here,
+# as they live in STSDAS from the outset.
diff --git a/iraf.axe/meta.yaml b/iraf.axe/meta.yaml
index a99a07c..ccb8cc3 100644
--- a/iraf.axe/meta.yaml
+++ b/iraf.axe/meta.yaml
@@ -7,25 +7,27 @@ about:
summary: STScI/STECF aXe add-on for the STSDAS IRAF package
build:
binary_relocation: True
- number: '2'
+ number: '0'
package:
name: iraf.axe
- version: "2.5"
+ version: "2.6"
source:
- fn: aXeTZ-2.5.tar.gz
- url: http://astroconda-source:4440/aXeTZ-2.5.tar.gz
- patches:
- - ac.iraf.axe.patch # patched to find include files for recent wcstools
+ # The aXe 2.6 release is built from the 2.5 source, but with its version
+ # updated to go with some changes to associated Python files in STSDAS.
+ - url: http://astroconda-source:4440/aXeTZ-2.5.tar.gz
+ folder: aXe
+ patches:
+ - ac.iraf.axe.patch # patched to build against recent wcstools
+ - url: http://astroconda-source:4440/gsl-1.9.tar.gz # aXe needs old GSL
+ folder: gsl
requirements:
build:
# is pkgconfig also needed here, as per Joe's email?
- cfitsio >=3.35
- wcstools >=3.8.4
- - gsl >=1.14
run:
- - iraf !=2.16.1,>=2.16.UR # need dir struct associated with this IRAF ver
- - iraf.stsdas
+ - iraf !=2.16.1,>=2.16.UR
+ - iraf.stsdas >=3.18 # need 3.18 versions of Python files in "slitless"
- cfitsio >=3.35
- wcstools >=3.8.4
- - gsl >=1.14